Download

Using Unreal 4.6 in osx 10.10 with Rift DK2

Hello,

My apologies if this has been answered before. I am a noob to the Unreal engine.

My Oculus Rift DK2 works fine but I can’t seem to get Unreal to support it. Does the Unreal engine support OS X for the Oculus Rift yet?

I am thinking it may be best to switch to windows, it may be less frustrating for VR development in the long run.

Many thanks for your help,

Chrispytaco

Yes, as of 4.4.1, UE4 supports rift DK2. Check out this article:

https://forums.oculus.com/viewtopic.php?f=60&t=12859

The limitation may be your graphics card.

Yes thank you. I have read everything there. I don’t understand if it would a be a problem with the graphics card -the oculus works fine in other oculus apps.

I still can’t get the oculus to work with the unreal engine.

I have the latest: firmware: 2.12
oculus runtime 0.4.4
Unreal Engine 4.6.1
osx: 10.10.2

Is there anything in the Unreal engine itself to enable it to export oculus supported apps?

I’m out of ideas.

Much appreciated!